# OgreCgPrerequisites.h File Reference

`#include "OgreException.h"`
`#include <Cg/cg.h>`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Functions

void | checkForCgError (const String &ogreMethod, const String &errorTextPrefix, CGcontext context)
| Utility function, checks Cg for errors, throw exception if detected.

## Function Documentation

void Ogre::checkForCgError | ( | const String & | ogreMethod,
|  | const String & | errorTextPrefix,
|  | CGcontext | context
| ) |

Utility function, checks Cg for errors, throw exception if detected.

Parameters:

  | ogreMethod | Ogre method name, as Class::method
  | errorTextPrefix | The text to prefix the Cg error text with

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:39:13 2006